package ir.oveissi.inapppurchase.data;

import java.util.ArrayList;
import java.util.List;

public class DataRepo {

    public static List<Movie> getMovies() {
        List<Movie> movies = new ArrayList<>();

        movies.add(new Movie("رستگاری در شاوشنک",
                "فرانک دارابونت",
                "https://moviesapi.ir/images/tt0111161_poster.jpg",
                "https://moviesapi.ir/images/tt0111161_screenshot1.jpg",
                9.3f,
                144,
                "«اندی» (رابینز)، بانکدار محترم و پولدار ایالت نیوانگلند، به اتهام قتل همسرش و فاسق او به حبس ابد در زندان ایالتی شوشنک محکوم می شود و اندکی بعد با «رد» (فریمن)، زندانی سیاه پوست، دوست می شود. پس از هجده سال، «اندی» ردی از قاتل اصلی پیدا می کند و تصمیم می گیرد برای آزادی تلاش کند"));


        movies.add(new Movie("پدرخوانده",
                "فرانسیس فورد کاپلا",
                "https://moviesapi.ir/images/tt0068646_poster.jpg",
                "https://moviesapi.ir/images/tt0068646_screenshot1.jpg",
                9.2f,
                175,
                "«دون ویتو کورلئونه» یکی از روسای پرقدرت مافیاست که به خاطر کمک هایش به مهاجران ایتالیایی در نیویورک به «پدرخوانده» معروف است. پس از مرگ «دون ویتو»، جای او را پسر کوچک خانواده، «مایکل» (پاچینو)، می گیرد که پیش از این علاقه ای به فعالیت های غیرقانونی خانواده اش نداشته است. «مایکل» خیلی زود با یک سری قتل و کشتار و پس از تصفیه ی خرده حساب های قدیمی، پدرخوانده ی جدید می شود."));

        movies.add(new Movie("پدرخوانده: قسمت دوم",
                "فرانسیس فورد کاپلا",
                "https://moviesapi.ir/images/tt0071562_poster.jpg",
                "https://moviesapi.ir/images/tt0071562_screenshot3.jpg",
                9.0f,
                202,
                "با مرگ دن کورلئونه پسر کوچکش مایکل (آل پاچینو) به ریاست خانواده می رسد. او باید تلاش کند تا در مقابل خانواده های مافیایی دیگر که با ثروت باد آورده قاچاق مواد مخدر به قدرت مضاعف دست یافته اند از جایگاه خانواده کورلئونه دفاع کند. از طرفی باید در مقابل کنگره امریکا درباره فعالیتهای خانواده اش پاسخگو باشد. در بخشهایی دیگر از فیلم با گذشته دن کورلئونه (مارلون براندو) و داستان پدرخوانده شدنش و مهاجرتش به امریکا همراه می شویم"));


        movies.add(new Movie("شوالیه تاریکی",
                "کریستوفر نولان",
                "https://moviesapi.ir/images/tt0468569_poster.jpg",
                "https://moviesapi.ir/images/tt0468569_screenshot2.jpg",
                9.0f,
                152,
                "يکسال از زمانیکه دکتر جاناتان کرین « معروف به مترسک » که بطور اسرارآمیزی ناپدید شد و همچنین نقشه های راس برای نابود کردن شهر گاتهام توسط بتمن خنثی شد، گذشته است. اکنون با تلاشهای بروس وین، بتمن و کمکهای ستوان حیمز گوردون و یک بازپرس قضایی جدید به اسم هاروی دنت که قصد ازدواج با راشل را دارد، مردم شهر احساس آرامش می کنند. اما این وضعیت پایدار نمی ماند زیرا یک جنایتکار روانی و بسیار باهوش به اسم جوکر با نقشه هایش می کوشد تا آرامش شهر را بهم زده و هرج و مرج و رعب و وحشت را در شهر حاکم کند و با اینکار بتمن را به مبارزه بطلبد. بتمن با کمک هاروی می کوشد تا هر طور شده جوکر را متوقف ساخته و او را در چنگال عدالت قرار دهد اما جوکر"));


        movies.add(new Movie("۱۲ مرد خشمگین",
                "سیدنی لومت",
                "https://moviesapi.ir/images/tt0050083_poster.jpg",
                "https://moviesapi.ir/images/tt0050083_screenshot2.jpg",
                8.9f,
                96,
                "داستان فیلم درباره ی دوازده مرد در هیات منصفه یک دادگاه است که در زمان تنفس و قبل از اخذ رای نهایی دورهم جمع می شوند. همه اعضا معتقدند که مظنون گناهکار است. او یک پسر هجده ساله است که گمان می رود پدر خود را به قتل رسانده . یکی از اعضای هیات منصفه به نام «دیوید» با رای گناهکار بودن موافق نیست و شک هایی دارد باتوجه به این که تمام حقایق اثبات می کند که فرد مظنون گناهکار است، اعضا کنجکاو می شوند که چگونه دیوید دراین مورد مشکوک است و او دلایل خود را توضیح می دهد"));


        movies.add(new Movie("فهرست شیندلر",
                "استیون اسپیلبرگ",
                "https://moviesapi.ir/images/tt0108052_poster.jpg",
                "https://moviesapi.ir/images/tt0108052_screenshot2.jpg",
                8.9f,
                195,
                "اسکار شیندلر که تاجری معمولی است که عضو حزب نازی است، به خاطر طبع خوشگذران خود و با توجه به دوستی بین او و مقامات رده بالای ارتش که بیشتر به خاطر سخاوت وی است، موفق می شود کارخانه ای را با پول یهودیانی که در خفا با آنان شریک شده بخرد. سپس یهودیان را به عنوان کارگر در کارخانه اشتغال می دهد"));


        movies.add(new Movie("قصه عامه‌پسند",
                "کوئنتین تارانتینو",
                "https://moviesapi.ir/images/tt0110912_poster.jpg",
                "https://moviesapi.ir/images/tt0110912_screenshot2.jpg",
                8.9f,
                154,
                "دو آدم کش به نام های «وینسنت» (تراولتا) و «جولز» (جکسن) از طرف «مارسلوس والاس» (رامس) مأموریت می یابند تا چمدانی را که دزیده شده، از سارقان پس بگیرند و در جریان این عملیات به طرز معجزه آسایی نجات پیدا می کنند. «وینسنت» مأمور می شود تا «میا» (تورمن)، همسر «والاس» را به گردش ببرد، اما «میا» بر اثر استفاده ی بیش از حد مواد مخدر، به حال اغما می افتد و «وینسنت» با تلاش فراوان او را نجات می دهد"));


        movies.add(new Movie("ارباب حلقه‌ها",
                "پیتر جکسون",
                "https://moviesapi.ir/images/tt0167260_poster.jpg",
                "https://moviesapi.ir/images/tt0167260_screenshot1.jpg",
                8.9f,
                201,
                "فرودو و سم با راهنمایی گالوم، به مسیرشان به سمت کوه نابودی ادامه میدهند، در حالی که مطمئن نیستند او به چه سمتی هدایتشان می کند. باقیمانده یاران حلقه، مردم گاندور و روهان را در نبردی عظیم علیه نیروهای سائورون، یاری می کنند."));

        movies.add(new Movie("خوب، بد، زشت",
                "سرجو لئونه",
                "https://moviesapi.ir/images/tt0060196_poster.jpg",
                "https://moviesapi.ir/images/tt0060196_screenshot3.jpg",
                8.9f,
                178,
                "در دوران جنگ هاي داخلي امريکا، سه مرد در پي يافتن جعبه اي هستند که حاوي دويست هزار دلار پول مسروقه است: »استنزا« (وان کليف)، »جو« (ايست وود) و »توکو« (والاک)"));


        movies.add(new Movie("باشگاه مشت‌زنی",
                "دیوید فینچر",
                "https://moviesapi.ir/images/tt0137523_poster.jpg",
                "https://moviesapi.ir/images/tt0137523_screenshot1.jpg",
                8.8f,
                139,
                "«راوی» (نورتن)، جوانی پریشان حال پی می برد که به کمک مشت بازی با دست های برهنه، بیش از هر زمان دیگری احساس زنده بودن می کند. او و «تایلر دردن» (پیت) که به دوستانی صمیمی تبدیل شده اند، هفته ای یک بار با هم ملاقات می کنند تا با هم مشت بازی کنند. در حالی که افراد دیگری هم به باشگاه شان می پیوندند، محفل شان به رغم آن که رازی است بین شرکت کننده هایش، شهرت و محبوبیت یک باشگاه زیرزمینی را پیدا می کند.\n"));


        return movies;
    }
}
